Name: gqmpeg
Version: 0.91.0
Release: alt1

Summary: Frontend to mpg123, ogg123 and XMP
Summary(ru-Ru.KOI8-R):    mpg123, ogg123  XMP
License: GPL
Group: Sound
Url: http://%name.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz

Requires: mpg123 >= 0.59q
#Requires: vorbis-tools xmp-console

BuildPreReq: kernel-headers-std
BuildPreReq: menu-devel

# Automatically added by buildreq on Tue Apr 06 2004
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 glib2-devel libatk-devel libgtk+2-devel libpango-devel libpng-devel pkgconfig zlib-devel

%description
GQmpeg is a frontend to mpg123. It includes extensive mpg123 option
support. It also support ogg123  (.OGG), xmp (.MOD, and most
derivatives), video4linux radio tuner(/dev/radio)
      Features:

    - Shuffle, repeat.
    - Shuffle and repeat preferences can be saved in each playlist.
    - Customizable skins, including winamp skin support.
    - A skin can contain an alternative face (shade mode for instance)
    - ID3 tag reading/writing support (v1)
    - Volume controls (can be connected to any available device)
    - Basic file management (move/copy/rename/delete)
    - Tab completion in most dialogs.
    - Presets for playlists.
    - Drag and drop support.
    - Shoutcast (http://server:port) support.

%description -l ru_RU.KOI8-R
GQmpeg      
 mpg123, ogg123  XMP    ,
    . 
 ID3v1 ,     , drag and
drop   "".

%prep
%setup

%build
%configure \
    --disable-rpath \
    --enable-russian

%make_build

%install
%makeinstall

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Multimedia/Sound" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_bindir/%name-shoutcast-plugin.sh
%_datadir/applications/*
%_datadir/%name
%_man1dir/*
%_datadir/pixmaps/*
%_menudir/*
%doc README FAQ TODO SKIN-SPECS SKIN-SPECS-V1 plugin/README.plugin

%changelog
* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.91.0-alt1
- 0.91.0

* Tue Mar 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.90.0-alt1
- go to gtk2.

* Mon Feb 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.20.0-alt1
- 0.20.0

* Fri Sep 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.19.0-alt1
- 0.19.0

* Mon May 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.16.0-alt1
- 0.16.0

* Wed Feb 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.13.0-alt1
- 0.13.0

* Thu Jan 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.12.1-alt1
- new version

* Wed Jan 6 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.12.0-alt1
- First build for Sisyphus.
